---
title: Stealth 3.2 released
date: 2016-10-15T17:40:34+00:00
author: palinuro
image: /assets/blog/macaw-poly2.jpg
---
We have finished all the work on Stealth 3.2 and we are now proud to announce its official release.

This new version comes after a long while due to some buggy packages in the Debian Testing repository that we were forced to fix by our own (it&#8217;s about the latest GTK updates that broke the MATE interface).

We wanted this release to be just an improved version of the past release, but we were able to introduce some new interesting features, a new Linux 4.7 kernel, a more accurate set of pre-installed softwares and a more comfortable but familiar environment.

We are also happy to welcome the University of Crete as a new mirror provider, KNXSecurity for its parthnership with us and Alftel Systems ltd for having believed in our work, and our words will never be enough to say thank you to all the contributors who have spent their time to make this release as professional and functional as it was in our dreams